Name:		dixi-vom-vops
%define sname dixi-vops
Summary:	dixi vops
Version:	0.3.9
Release:	%mkrel 1
Source:		%{sname}-%{version}.tar.bz2
URL:		http://www.xtreemos.eu/
Group:		System/Cluster
License:	BSD
BuildRequires:	java-devel >= 1.6.0 ant
BuildRequires:	dixi-main vops
BuildArch:	noarch
Requires:	dixi-main java >= 1.6.0
Requires:	vops
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%description
dixi-vops, part of dixi.

This software is part of XtreemOS.

%prep
%setup -q -n %sname-%version
find . -type f -name '*.jar' -delete

%build
ant -DJARDepsDir=%{_javadir}
#-lib %{_javadir}/java-cup-runtime.jar

%install
%{__rm} -Rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

%ant -DDEST=%{buildroot} install
%create_jar_links

%clean
%{__rm} -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc ReleaseNotes.txt
%config(noreplace) %_sysconfdir/xos/config/VOPSConfig.conf
%config(noreplace) %_sysconfdir/xos/config/xosd_stages/VOPS.stage
%_datadir/dixi/VOPS/files/*
%_datadir/dixi/VOPS/storage/*
%_datadir/dixi/VOPS/vopscert.pem
%_datadir/dixi/VOPS/vopskey.pem
%_datadir/dixi/vops-dixi.deps
%_datadir/java/security-services-vops-%version.jar
%_datadir/java/security-services-vops.jar
